Page MenuHomePhabricator

Wikimedia Commons logo unsharp/blurred
Closed, ResolvedPublic

Event Timeline

Steinsplitter raised the priority of this task from to High.
Steinsplitter updated the task description. (Show Details)
Steinsplitter added subscribers: Steinsplitter, Matanya.
Restricted Application added subscribers: Dereckson, Aklapper. · View Herald TranscriptJul 21 2015, 12:02 PM
Steinsplitter moved this task from Incoming to Backlog on the Commons board.Jul 21 2015, 12:03 PM

Logo:

	'commonswiki' => '/static/images/project-logos/commonswiki.png',

Also T37337 might be related.

Steinsplitter set Security to None.
Steinsplitter renamed this task from Wikimedia Commons logo sharp to Wikimedia Commons logo unsharp/blurred.Jul 21 2015, 12:07 PM
Steinsplitter added a subscriber: Sj.
Steinsplitter added a subscriber: Josve05a.

https://commons.wikimedia.org/wiki/File:Commons-logo-en.svg So we should use this one?

We should also add HD logo variants for Commons while we're at it.

The apple-touch-icon could also use a update tbh.

This file doesn't really scale with the recommended 135px for wgLogo. I tried previewing https://upload.wikimedia.org/wikipedia/commons/thumb/4/41/Commons-logo-en.svg/135px-Commons-logo-en.svg.png on my browser but it doesn't fit unless the height of #p-logo is increased.

Tuvalkin uploaded a new version of File:Wiki-commons.png, patch operations/mediawiki-config?

The apple-touch-icon could also use a update tbh.

This seems rather offtopic here. Where on commons is a apple-touch-icon? Can you please post on the relevant talkpage?

This seems rather offtopic here. Where on commons is a apple-touch-icon? Can you please post on the relevant talkpage?

There is:

$ curl https://commons.wikimedia.org/wiki/Main_Page 2> /dev/null | grep apple
<link rel="apple-touch-icon" href="/static/apple-touch/commons.png" />

Should be filed in a separate task though.

This seems rather offtopic here. Where on commons is a apple-touch-icon? Can you please post on the relevant talkpage?

There is:

$ curl https://commons.wikimedia.org/wiki/Main_Page 2> /dev/null | grep apple
<link rel="apple-touch-icon" href="/static/apple-touch/commons.png" />

Should be filed in a separate task though.

Well, it is a Wikimedia Commons logo and it is unsharp.

Tuvalkin uploaded a new version of File:Wiki-commons.png, patch operations/mediawiki-config?

I don't see any visible improvements when this is previewed. It's still blurry on the edges,

Sj added a comment.Jul 28 2015, 4:04 PM

Glaisher - does that look good to you? Do you need a different logo generated from the SVG?

Sj added a project: Design.Jul 28 2015, 6:38 PM
Sj added a project: good first bug.
In T106375#1473830, @Sj wrote:

It does look good but unfortunately, this one also does not fit into the top corner.

Sj added a comment.EditedJul 30 2015, 8:04 AM

Ah, you're right. Wiki-commons.png does seem to be the right size.
And it is better than what is currently in the corner, even though it is not perfect.

There may be some way to improve sharpness further in the future, but please apply the current wiki-commons.png for now, if possible.

Improvements include symmetry of the inward pointing arrows, incrementally sharper borders on the outside and inside, and crisper colors.

Change 227962 had a related patch set uploaded (by Zhuyifei1999):
Project logos: Updated commonswiki.png from File:Wiki-commons.png

https://gerrit.wikimedia.org/r/227962

Change 227962 merged by jenkins-bot:
Project logos: Updated commonswiki.png from File:Wiki-commons.png

https://gerrit.wikimedia.org/r/227962

Mdann52 closed this task as Resolved.Sep 24 2015, 9:01 AM
Mdann52 claimed this task.